summaryrefslogtreecommitdiff
path: root/dev-python/python3-openid
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-24 01:45:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-24 01:45:52 +0000
commitc6dbb62421c3f94f78333a6402ff2984cc9479f5 (patch)
treead386d21c13a3aee24180c427f93afb1988f04d0 /dev-python/python3-openid
parentfbb3e0d839e459d5c8fe51fcb606bfa322299e5a (diff)
downloadbaldeagleos-repo-c6dbb62421c3f94f78333a6402ff2984cc9479f5.tar.gz
baldeagleos-repo-c6dbb62421c3f94f78333a6402ff2984cc9479f5.tar.xz
baldeagleos-repo-c6dbb62421c3f94f78333a6402ff2984cc9479f5.zip
Adding metadata
Diffstat (limited to 'dev-python/python3-openid')
-rw-r--r--dev-python/python3-openid/python3-openid-3.2.0.ebuild16
1 files changed, 13 insertions, 3 deletions
diff --git a/dev-python/python3-openid/python3-openid-3.2.0.ebuild b/dev-python/python3-openid/python3-openid-3.2.0.ebuild
index 60d44ce584ac..cdc49e8ef9ee 100644
--- a/dev-python/python3-openid/python3-openid-3.2.0.ebuild
+++ b/dev-python/python3-openid/python3-openid-3.2.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,9 +14,19 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
+RESTRICT="!test? ( test )"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="dev-python/defusedxml[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( ${RDEPEND}
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/psycopg[${PYTHON_USEDEP}]
+ )
+"
DOCS=( NEWS.md README.md )
+
+python_test() {
+ "${EPYTHON}" -m unittest -v openid.test.test_suite || die "Tests failed with ${EPYTHON}"
+}